with GNATCOM.Dispinterface;

package MSHTML.IDOMSiteModeEvent_Interface is

   type IDOMSiteModeEvent_Type is
     new GNATCOM.Dispinterface.Dispinterface_Type with null record;

   procedure Initialize (This : in out IDOMSiteModeEvent_Type);

   function Pointer (This : IDOMSiteModeEvent_Type)
     return Pointer_To_IDOMSiteModeEvent;

   procedure Attach (This    : in out IDOMSiteModeEvent_Type;
                     Pointer : in     Pointer_To_IDOMSiteModeEvent);

   function Get_buttonID
     (This : IDOMSiteModeEvent_Type)
     return Interfaces.C.long;

   function Get_actionURL
     (This : IDOMSiteModeEvent_Type)
     return GNATCOM.Types.BSTR;

end MSHTML.IDOMSiteModeEvent_Interface;

